Bug 145266 - [update] java/eclipse-emf and maintainership request
Summary: [update] java/eclipse-emf and maintainership request
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-01 15:20 UTC by kamikaze
Modified: 2010-09-07 10:39 UTC (History)
0 users

See Also:


Attachments
file.diff (1.65 KB, patch)
2010-04-01 15:20 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-04-01 15:20:11 UTC
eclipse-emf is marked DEPRECATED and de-facto unmaintained:
This plugin can be installed from within eclipse via the updater

I think that built in update systems are workarounds for OS's without a package system. I prefer to install all my software through a single system.

My patch does the following:
- Update to eclipse-emf to the latest maintenance release for Eclipse 3.4
- Remove DEPRECATED line
- Transfer maintainership to kamikaze@bsdforen.de

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-04-01 15:20:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-eclipse

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 kamikaze 2010-05-14 00:36:17 UTC
requesting timeout
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2010-06-28 03:32:03 UTC
Responsible Changed
From-To: freebsd-eclipse->linimon

Take.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-08-28 11:54:24 UTC
Responsible Changed
From-To: linimon->freebsd-ports-bugs

I still haven't dealt with this a month later.  Perhaps someone else 
can unstick this PR.
Comment 5 Rene Ladan freebsd_committer 2010-08-30 22:12:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 6 Rene Ladan freebsd_committer 2010-09-06 16:28:20 UTC
is everyone ok if I commit this patch?
Comment 7 Alex Dupre freebsd_committer 2010-09-06 16:53:11 UTC
René Ladan ha scritto:
> is everyone ok if I commit this patch?

If you are referring to the patch in the PR, I'm not ok, I have a
complete patchset ready to be committed that obsoletes that PR (see
freebsd-eclipse@).

-- 
Alex Dupre
Comment 8 dfilter service freebsd_committer 2010-09-07 10:04:16 UTC
ale         2010-09-07 09:04:06 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse-emf     Makefile distinfo pkg-descr 
  Log:
  - Update to 2.5.0 release
  - Pass maintainership to submitter
  - Use the new eclipse plugins Makefile
  
  PR:             ports/145266 [1], ports/148992 [2]
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de> [1],
                  Sutra Zhou <zhoushuqun@gmail.com> [2]
  
  Revision  Changes    Path
  1.20      +6 -21     ports/java/eclipse-emf/Makefile
  1.12      +3 -3      ports/java/eclipse-emf/distinfo
  1.2       +1 -1      ports/java/eclipse-emf/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Alex Dupre freebsd_committer 2010-09-07 10:39:02 UTC
State Changed
From-To: open->closed

Updated to a newer release, maintainership granted.